/*
 * Copyright (c) 2009, 2010, Maciej Smolenski (jezdnia@gmail.com)
 * All rights reserved.
 * 
 * This file is part of Oropo project.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *     * Neither the name of the Oropo nor the names of its contributors
 *     may be used to endorse or promote products derived from this software
 *     without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _OROPO_H_RPCGEN
#define _OROPO_H_RPCGEN

#include <rpc/rpc.h>


#ifdef __cplusplus
extern "C" {
#endif

#define MAX_STRING_LEN 1073741824
#define MAX_DATA_LEN 1073741824
#define MAX_PARAMS_COUNT 4096

enum discriminator_parameter_t {
	P_STRING = 1,
	P_INT = 2,
	P_FLOAT = 3,
	P_DATA = 4
};
typedef enum discriminator_parameter_t discriminator_parameter_t;

struct parameter_t {
	discriminator_parameter_t dp;
	union {
		char *string_value;
		int int_value;
		float float_value;
		struct {
			u_int data_value_len;
			char *data_value_val;
		} data_value;
	} parameter_t_u;
};
typedef struct parameter_t parameter_t;

typedef struct {
	u_int parameters_t_len;
	parameter_t *parameters_t_val;
} parameters_t;

typedef parameters_t request_t;

typedef parameters_t response_t;

/* the xdr functions */

#if defined(__STDC__) || defined(__cplusplus)
extern  bool_t xdr_discriminator_parameter_t (XDR *, discriminator_parameter_t*);
extern  bool_t xdr_parameter_t (XDR *, parameter_t*);
extern  bool_t xdr_parameters_t (XDR *, parameters_t*);
extern  bool_t xdr_request_t (XDR *, request_t*);
extern  bool_t xdr_response_t (XDR *, response_t*);

#else /* K&R C */
extern bool_t xdr_discriminator_parameter_t ();
extern bool_t xdr_parameter_t ();
extern bool_t xdr_parameters_t ();
extern bool_t xdr_request_t ();
extern bool_t xdr_response_t ();

#endif /* K&R C */

#ifdef __cplusplus
}
#endif

#endif /* !_OROPO_H_RPCGEN */
